<?php
// $Horde: passwd/templates/main/main.inc,v 1.3.2.3 2004/06/07 20:55:10 jan Exp $

include_once PASSWD_BASE . '/templates/menu/menu.inc'; ?>

<form method="post" action="<?php echo Horde::applicationUrl('main.php') ?>" name="passwd">
<?php echo Horde::formInput() ?>
<?php if ($conf['backend']['backend_list'] == 'hidden'): ?>
<input type="hidden" name="backend" value="<?php echo $backend_key ?>" />
<?php endif; ?>

<?php
// If a maximum password length was specified, use it for size and maxlength.
// Otherwise default to size of 32 and no maxlength...
if (isset($conf['password']['maxlength'])) {
   $maxlen = $conf['password']['maxlength'];
   $size = ' maxlength="' . $maxlen . '"';
} else {
   $size = 'size="32"';
}
?>

<table border="0" cellpadding="0" cellspacing="5">
<tr>
    <td align="center" colspan="3" class="header">
        <b><?php echo _("Change your password") ?></b>
    </td>
</tr>

<?php if ($conf['backend']['backend_list'] == 'hidden'): ?>
<tr>
    <td align="center" colspan="3" class="smallheader">
        <?php printf(_("Changing Password on %s"), $backends[$backend_key]['name']) ?>
    </td>
    <td width="15"> <br/><br/></td>
<?php endif; ?>

<tr>
  <td class="light" align="right"><b><?php echo _("Username:") ?></b></td>
  <td><input type="text" name="userid" value="<?php echo $userid ?>"></td>
  <td width="15"><?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript')) ? Help::link('passwd', 'passwd-username') : '&nbsp;' ?></td>
</tr>

<tr>
  <td class="light" align="right"><b><?php echo _("Old password:") ?></b></td>
  <td><input type="password" name="oldpassword" value=""></td>
  <td width="15"><?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript')) ? Help::link('passwd', 'passwd-old-password') : '&nbsp;' ?></td>
</tr>

<tr>
<td class="light" align="right"><b><?php echo _("New password:") ?></b></td>
<td><input type="password" name="newpassword0" <?php echo $size ?> value=""></td>
<td width="15"><?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript')) ? Help::link('passwd', 'passwd-new-password') : '&nbsp;' ?></td>
</tr>

<tr>
<td class="light" align="right"><b><?php echo _("Confirm new password:") ?></b></td>
<td><input type="password" name="newpassword1" <?php echo $size ?> value=""></td>
<td width="15"><?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript')) ? Help::link('passwd', 'passwd-confirm-password') : '&nbsp;' ?></td>
</tr>

<?php if ($conf['backend']['backend_list'] == 'shown'): ?>
<tr>
    <td align="right" class="light"><b><?php echo _("Server") ?></b></td>
    <td class="light" align="left">
        <select name="backend">
            <?php echo $backends_list ?>
        </select>
    </td>
    <td width="15"><?php echo ($conf['user']['online_help'] && $browser->hasFeature('javascript')) ? Help::link('passwd', 'passwd-server') : '&nbsp;' ?></td>
<?php endif; ?>

<tr>
<td colspan="2">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr align="center">
  <td></td>
  <td align="right">
  <input class="button" type="submit" name="submit" value="<?php echo _("Change your password") ?>" onclick="return submit_form();">
  <input class="button" type="reset" name="reset" value="<?php echo _("Reset") ?>">
  </td>
  </tr>
</table>
</td>
</tr>
</table>
</form>
<br />
